Bug 198133 - Enabling installation of new locale, kn_IN
Enabling installation of new locale, kn_IN
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
 
Reported: 2006-07-10 03:05 EDT by Umesh R S
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-11 16:38:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Umesh R S 2006-07-10 03:05:51 EDT
Description of problem: 
Currently, there is no locale support in Anaconda for kn_IN. 
 
Expected results: 
I would like it to be enabled. 
 
Additional info: 
Time zone - Asia, Culcutta 
Default keyboard - kn_IN. If this affects entering details during 
installation, then it better be en_US. 
 
Font to be used - Not sure. Tunga.ttf (a microsoft developed font) is 
available. But not sure whether that can be used. Else, sampige.ttf and 
kedage.ttf are other available fonts. But am not sure of what is best in this 
regard.
Comment 1 Jeremy Katz 2006-07-10 20:40:18 EDT
To add locales to anaconda, we require that there be a freely available and
distributable font included with Fedora first.  So I think that working through
the font issue needs to be done first.
Comment 2 Umesh R S 2006-07-14 02:35:36 EDT
I guess we can pretty safely include kedage.ttf font, which is freely available
and distributable at http://brahmi.sourceforge.net/ . This has a very minor bug
and looks pretty much usable. So, kindly see if this can be included in the
installation and also in the font.config file.

Regards,
Umesh
Comment 3 A S Alam 2006-07-26 03:07:22 EDT
hi Umesh,
don't worry about fonts, following package is available in Fedora Core Rawhide:
fonts-kannada-2.0-1

Only thing, which need to worry about Translation, only 125 Strings are translated,
so, please update your translation

thanks
Comment 4 A S Alam 2006-07-26 03:26:53 EDT
thanks Umesh,
anaconda file is commited, status is 100%
please check at

http://i18n.redhat.com/cgi-bin/i18n-status?page=module&locale=kn&module=anaconda&referrer=status&branch=HEAD&essential=0

Comment 5 Leon Ho 2006-08-28 01:47:48 EDT
Reassign this to anaconda.
Comment 6 Caius Chance 2006-09-11 01:53:32 EDT
Please rebuild package and apply for QC.
Comment 7 Jeremy Katz 2006-09-11 16:38:14 EDT
This has been present sinc ehte end of July

Note You need to log in before you can comment on or make changes to this bug.